function auto_submit()
{
var win=eval("window.dialogArguments.main_frame_"+request("fileName"));
var o=_gId('sql_str',win);
if(o.value.length>0)
{
form1.ids.value=o.value;
form1.submit()
}else
{setTimeout("auto_submit()",1000)}
}
function get_ids()
{
var win=eval("window.dialogArguments.main_frame_"+request("fileName"))
var ids=win.document.getElementsByName('id');
var s=","
if(form1.fanWei_0.checked==true)
{
for(var i=0;i<ids.length;i++)
{if(ids[i].checked==true)s+=ids[i].value+',';}
}
else if(form1.fanWei_1.checked==true)	
{
for(var i=0;i<ids.length;i++){s+=ids[i].value+',';}
}
else if(form1.fanWei_2.checked==true)
{
var c=_gId('page_form',win).input_data_count.value
if(isNaN(c))c=0;
if(c-0>10000)
{
if(!confirm(lang4("_much_data")))return;
}
_gId('sql_str',win).value='';
var out_type=_gId('out_type',win);
out_type.value="out_sql_str";
win.shai_form.submit();
out_type.value='';
s='out_sql_str'
}
return s;
}